
package de.ivu.elect.presentation.kandidatur.table;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;
import de.ivu.elect.presentation.person.table.PersonendatenStaatsangehoerigkeitColumn;

public class KandidaturGewaehltKandidaturStaatsangehoerigkeitColumn extends AbstractKandidaturGewaehltKandidaturColumn {

  private static final long serialVersionUID = 1L;

  private final PersonendatenStaatsangehoerigkeitColumn<Kandidatur> template;

  public KandidaturGewaehltKandidaturStaatsangehoerigkeitColumn(Messages messages) {
    super(messages);

    this.template = new PersonendatenStaatsangehoerigkeitColumn<>(messages);
  }

  @Override
  public ColumnType getType() {
    return template.getType();
  }

  @Override
  public String getHeader() {
    return template.getHeader();
  }

  @Override
  public Object getValue(Kandidatur kandidatur) {
    return template.getDisplayValue(kandidatur);
  }
}
